Please support VectorLinux!

Author Topic: editing pdf files - flpsed install problem (solved)  (Read 1529 times)

sledgehammer

  • Vectorian
  • ****
  • Posts: 1451
editing pdf files - flpsed install problem (solved)
« on: September 13, 2007, 12:45:44 am »
Well, it doesn't surprise me that I am having this problem.  Need to fill in the blanks on pdf forms.  I generally use flpsed.  Its better than typing in the blanks with a typewriter.

Tried tonight to put flpsed on vector 5.8.  Flpsed requires fltk v1.1.x, a pretty big file. Couldn't find it in gslapt so downloaded tar.gz file and unpacked and ran make and it seemed to install fine.  I then unpacked flpsed 5.0 and ran ./configure and after checking a lot of files, blew up saying it could not find fltk.config. 

Since this is, I think, only the second time I have not used gslapt to install something on vector, I may be doing a lot wrong.

If anyone has any suggestions, either how to install flpsed or how to find some other program that will edit pdf files on Vector 5.8 great. 

John
« Last Edit: September 13, 2007, 08:44:57 am by lawquest »
VL7.0 xfce4 Samsung RF511

The Headacher

  • Louder than you
  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1553
  • I like the bass to go BOOM!
    • Multimedia on VL (work in progress)
Re: editing pdf files - flpsed install problem
« Reply #1 on: September 13, 2007, 08:04:41 am »
there is an fltk 1.1.7 package in the "extra" repository.

To add the "extra" repository, start gslapt, open the preferences dialog (CTRL+P), go to the "Sources" tab. There, add: 

http://vectorlinux.osuosl.org/veclinux-5.8/extra/ 

Make sure you press "Add" before pressing "OK", or the repository will not be added! Now, if you press OK after adding the repo it will ask if you want to download the package lists and such. Let it do this. when it's finished, search for fltk.
Most music on my soundcloud page was arranged in programs running on VL.

sledgehammer

  • Vectorian
  • ****
  • Posts: 1451
Re: editing pdf files - flpsed install problem
« Reply #2 on: September 13, 2007, 08:44:14 am »
Works perfectly!.  Thanks The Headacher.  You should be called The Aspirin.

(I had the cs.utah extras repository for some reason and perhaps FLTK wasn't in it).

John
« Last Edit: September 13, 2007, 08:48:18 am by lawquest »
VL7.0 xfce4 Samsung RF511